All Apps and Add-ons

sqs_poller app stopped working after the Splunk upgrade to 6.6.5

hchinta
Explorer

After the Splunk upgrade it is showing the below errors

ERROR ExecProcessor - message from "/opt/splunk/etc/apps/sqs_poller/bin/sqs_poller.sh" Modular input Invalid arguments to modular input script: /opt/splunk/bin/node,/opt/splunk/etc/apps/sqs_poller/bin/app/sqs_poller.js

@bmacias84

0 Karma

paulannesley
New Member

We ran into this when upgrading Splunk 6.4.2 to 7.0.3.
We submitted a fix to sqs_poller in https://github.com/httpstergeek/splunk-sqs/pull/6
The underlying fix was https://github.com/splunk/splunk-sdk-javascript/commit/570d4b8bd3859a2db0528baef9f54668cd7ea2a1

0 Karma